Calendar Oauth Callback
OAuth callback — no JWT required. Authentication is via the single-use state token stored in Redis (contains tenant_id + agent_user_id). Google/Microsoft redirect here cross-origin so browser cookies are not available.
OAuth callback — no JWT required.
Authentication is via the single-use state token stored in Redis (contains tenant_id + agent_user_id). Google/Microsoft redirect here cross-origin so browser cookies are not available.
Path Parameters
provider*Provider
Value in
"google" | "microsoft"Query Parameters
code?string|null
state?string|null
error?string|null
Response Body
application/json
application/json
curl -X GET "https://loading/api/v2/meetings/calendar-oauth/google/callback"null{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}